function [ ctf ] = ctf_baseline(ctf)

% ctf_baseline - remove mean of pretrigger period from all ctf.data
%
% [ ctf ] = ctf_baseline(ctf)
%

for epoch = 1:length(ctf.data),
  
  pretrigger_mean = mean(ctf.data{epoch}(1:ctf.setup.pretrigger_samples,:));
  
  pretrigger_mean = repmat(pretrigger_mean,ctf.setup.number_samples,1);
  
  ctf.data{epoch} = ctf.data{epoch} - pretrigger_mean;
  
end
